<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Classes  Reference</title>
    <link rel="stylesheet" type="text/css" href="css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="css/highlight.css" />
    <meta charset='utf-8'>
    <script src="js/jquery.min.js" defer></script>
    <script src="js/jazzy.js" defer></script>
    
  </head>
  <body>
    <a title="Classes  Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="index.html"> Docs</a> (90% documented)</p>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="index.html"> Reference</a>
        <img id="carat" src="img/carat.png" />
        Classes  Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Classes/AppDelegate.html">AppDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/BackgroundController.html">BackgroundController</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/CoreDataManager.html">CoreDataManager</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/CurrencyController.html">CurrencyController</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/CurrencyRate.html">CurrencyRate</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/CurrencyRateManager.html">CurrencyRateManager</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/CurrencyRatePack.html">CurrencyRatePack</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/CurrencyRatePackParser.html">CurrencyRatePackParser</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/ExchangeController.html">ExchangeController</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/ExchangeModelManager.html">ExchangeModelManager</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/FromCurrencyController.html">FromCurrencyController</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/FromCurrencyPageController.html">FromCurrencyPageController</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/NetworkManager.html">NetworkManager</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/NetworkManager/NetworkManagerError.html">– NetworkManagerError</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/ToCurrencyController.html">ToCurrencyController</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/ToCurrencyPageController.html">ToCurrencyPageController</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/UserData.html">UserData</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Enums.html">Enums</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Enums/CurrencyType.html">CurrencyType</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/RequestResult.html">RequestResult</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Extensions/NSManagedObject.html">NSManagedObject</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Functions.html">Functions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Functions.html#/s:F15testApplication8debugLogFTSS4fileVs12StaticString8functionS0_4lineSi_T_">debugLog(_:file:function:line:)</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Protocols/CurrencyControllerDelegate.html">CurrencyControllerDelegate</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>Classes</h1>
            <p>The following classes are available globally.</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:C15testApplication20ToCurrencyController"></a>
                    <a name="//apple_ref/swift/Class/ToCurrencyController" class="dashAnchor"></a>
                    <a class="token" href="#/s:C15testApplication20ToCurrencyController">ToCurrencyController</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>This UIViewController outputs buy information about some currency.</p>

                        <a href="Classes/ToCurrencyController.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kt">ToCurrencyController</span><span class="p">:</span> <span class="kt"><a href="Classes/CurrencyController.html">CurrencyController</a></span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:C15testApplication26FromCurrencyPageController"></a>
                    <a name="//apple_ref/swift/Class/FromCurrencyPageController" class="dashAnchor"></a>
                    <a class="token" href="#/s:C15testApplication26FromCurrencyPageController">FromCurrencyPageController</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>This UIPageViewController controls source(<q>sell</q>) part of interface.</p>

                        <a href="Classes/FromCurrencyPageController.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kt">FromCurrencyPageController</span><span class="p">:</span> <span class="kt">UIPageViewController</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:C15testApplication22FromCurrencyController"></a>
                    <a name="//apple_ref/swift/Class/FromCurrencyController" class="dashAnchor"></a>
                    <a class="token" href="#/s:C15testApplication22FromCurrencyController">FromCurrencyController</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>This UIViewController outputs sell information about some currency.</p>

                        <a href="Classes/FromCurrencyController.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kt">FromCurrencyController</span><span class="p">:</span> <span class="kt"><a href="Classes/CurrencyController.html">CurrencyController</a></span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:C15testApplication18ExchangeController"></a>
                    <a name="//apple_ref/swift/Class/ExchangeController" class="dashAnchor"></a>
                    <a class="token" href="#/s:C15testApplication18ExchangeController">ExchangeController</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>This is a big fat controller which observe users action with subviewcontrollers, updates them if needed and controls exhange-operations.</p>

                        <a href="Classes/ExchangeController.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kt">ExchangeController</span><span class="p">:</span> <span class="kt">UIViewController</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:C15testApplication19CurrencyRateManager"></a>
                    <a name="//apple_ref/swift/Class/CurrencyRateManager" class="dashAnchor"></a>
                    <a class="token" href="#/s:C15testApplication19CurrencyRateManager">CurrencyRateManager</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>This controller observes server&rsquo;s information about currency rates by periodical network requests. Each request-result is packed and pushed to managed object context as <strong>CurrencyRatePack</strong>.</p>

                        <a href="Classes/CurrencyRateManager.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kt">CurrencyRateManager</span><span class="p">:</span> <span class="kt">NSObject</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:C15testApplication12CurrencyRate"></a>
                    <a name="//apple_ref/swift/Class/CurrencyRate" class="dashAnchor"></a>
                    <a class="token" href="#/s:C15testApplication12CurrencyRate">CurrencyRate</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>CurrencyRate** is a subclass of <strong>NSManagedObject</strong>. It keeps information about rate of some currency.</p>

                        <a href="Classes/CurrencyRate.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kt">CurrencyRate</span><span class="p">:</span> <span class="kt">NSManagedObject</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:C15testApplication16CurrencyRatePack"></a>
                    <a name="//apple_ref/swift/Class/CurrencyRatePack" class="dashAnchor"></a>
                    <a class="token" href="#/s:C15testApplication16CurrencyRatePack">CurrencyRatePack</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p><strong>CurrencyRatePack</strong> is a subclass of <strong>NSManagedObject</strong>. <strong>CurrencyRatePack</strong> is a group/packet of <strong>CurrencyRate</strong> which were downloaded by one single packet.
In addition to <strong>rates</strong>, packet is also signed with name of server(<strong>sender</strong>), server&rsquo;s signed date(<strong>serverDate</strong>) and date when it was downloaded(<strong>clientDate</strong>)</p>

                        <a href="Classes/CurrencyRatePack.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kt">CurrencyRatePack</span><span class="p">:</span> <span class="kt">NSManagedObject</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:C15testApplication8UserData"></a>
                    <a name="//apple_ref/swift/Class/UserData" class="dashAnchor"></a>
                    <a class="token" href="#/s:C15testApplication8UserData">UserData</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>UserData** is a subclass of <strong>NSManagedObject</strong>. It keeps information about user&rsquo;s amount of money. THere could be only one <strong>UserData</strong>-object in managed object context.</p>

                        <a href="Classes/UserData.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kt">UserData</span><span class="p">:</span> <span class="kt">NSManagedObject</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:C15testApplication20ExchangeModelManager"></a>
                    <a name="//apple_ref/swift/Class/ExchangeModelManager" class="dashAnchor"></a>
                    <a class="token" href="#/s:C15testApplication20ExchangeModelManager">ExchangeModelManager</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>ExchangeModelManager** is a passive <strong>Model</strong> class. It doesn&rsquo;t control <strong>View</strong>. It&rsquo;s only a DataSource for <strong>View</strong> &amp; <strong>Controler</strong> functions.
UIPageViewControllers** uses this class as DataSource.</p>

                        <a href="Classes/ExchangeModelManager.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kt">ExchangeModelManager</span><span class="p">:</span> <span class="kt">NSObject</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:C15testApplication11AppDelegate"></a>
                    <a name="//apple_ref/swift/Class/AppDelegate" class="dashAnchor"></a>
                    <a class="token" href="#/s:C15testApplication11AppDelegate">AppDelegate</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                        <a href="Classes/AppDelegate.html" class="slightly-smaller">See more</a>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:C15testApplication22CurrencyRatePackParser"></a>
                    <a name="//apple_ref/swift/Class/CurrencyRatePackParser" class="dashAnchor"></a>
                    <a class="token" href="#/s:C15testApplication22CurrencyRatePackParser">CurrencyRatePackParser</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>This object parse information about currency rates from XML.</p>

                        <a href="Classes/CurrencyRatePackParser.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kt">CurrencyRatePackParser</span><span class="p">:</span> <span class="kt">NSObject</span><span class="p">,</span> <span class="kt">XMLParserDelegate</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:C15testApplication24ToCurrencyPageController"></a>
                    <a name="//apple_ref/swift/Class/ToCurrencyPageController" class="dashAnchor"></a>
                    <a class="token" href="#/s:C15testApplication24ToCurrencyPageController">ToCurrencyPageController</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>This UIPageViewController controls destination(<q>buy</q>) part of interface.</p>

                        <a href="Classes/ToCurrencyPageController.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kt">ToCurrencyPageController</span><span class="p">:</span> <span class="kt">UIPageViewController</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:C15testApplication20BackgroundController"></a>
                    <a name="//apple_ref/swift/Class/BackgroundController" class="dashAnchor"></a>
                    <a class="token" href="#/s:C15testApplication20BackgroundController">BackgroundController</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>This UIViewController control background dynamic view of application.</p>

                        <a href="Classes/BackgroundController.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kt">BackgroundController</span><span class="p">:</span> <span class="kt">UIViewController</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:C15testApplication18CurrencyController"></a>
                    <a name="//apple_ref/swift/Class/CurrencyController" class="dashAnchor"></a>
                    <a class="token" href="#/s:C15testApplication18CurrencyController">CurrencyController</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Abstract CurrencyController which outputs infromation about some currency.</p>

                        <a href="Classes/CurrencyController.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kt">CurrencyController</span><span class="p">:</span> <span class="kt">UIViewController</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:C15testApplication15CoreDataManager"></a>
                    <a name="//apple_ref/swift/Class/CoreDataManager" class="dashAnchor"></a>
                    <a class="token" href="#/s:C15testApplication15CoreDataManager">CoreDataManager</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>This class manages all data about Core Data Stack.</p>

                        <a href="Classes/CoreDataManager.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kt">CoreDataManager</span><span class="p">:</span> <span class="kt">NSObject</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:C15testApplication14NetworkManager"></a>
                    <a name="//apple_ref/swift/Class/NetworkManager" class="dashAnchor"></a>
                    <a class="token" href="#/s:C15testApplication14NetworkManager">NetworkManager</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>NetworkManager makes HTTP-request to external server.</p>

                        <a href="Classes/NetworkManager.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kt">NetworkManager</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2017 <a class="link" href="" target="_blank" rel="external"></a>. All rights reserved. (Last updated: 2017-01-05)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external">jazzy ♪♫ v0.7.3</a>, a <a class="link" href="http://realm.io" target="_blank" rel="external">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</div>
</html>
